# Class Protocols.DNS.client()->Request

Variable domain
Variable req
Variable callback
Variable args

  ``string` Protocols.DNS.client.Request.domain`
  ``string` Protocols.DNS.client.Request.req`
  ``function`(`string`, `mapping`, `mixed` ... :`void`) Protocols.DNS.client.Request.callback`
  ``array`(`mixed`) Protocols.DNS.client.Request.args`

Syntax

  ``void` cancel()```mixed` Protocols.DNS.client.Request.retry_co`

Description

  Cancel the current request.

Method create

  `Protocols.DNS.client.Request Protocols.DNS.client.Request(`string` `domain`, `string` `req`, `function`(`string`, `mapping`, `mixed` ... :`void`) `callback`, `array`(`mixed`) `args`)`